Bug 876434 - MBR altered by install to disk of 18-beta-tc8 Live
MBR altered by install to disk of 18-beta-tc8 Live
Status: CLOSED DUPLICATE of bug 872826
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 01:16 EST by Fred J. Tydeman
Modified: 2013-07-05 10:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-05 10:36:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fred J. Tydeman 2012-11-14 01:16:17 EST
Description of problem:
Using Live to test FC 18, the install to hard disk never gave me a choice of
where to put the boot info (either MBR or /boot).  It just put it in MBR.

Version-Release number of selected component (if applicable):
18-Beta-TC8/Live/x86_64

How reproducible:
Boot the Live system, select install to hard disk, pick a partition to install / to.  Not sure if it matters, but the hard disk should already have a FC 17
system installed.

Actual results:
I see no place to select where to put the boot info (either MBR or /boot).

Expected results:
Previous installs of FC up to 17 allowed me to select MBR versus /boot.

Additional info:
My hard disk has:  Windows Vista, Sun Solaris, FC 14, 15, 16, 17, and the IBM
Boot Manager (which is what gets control when the machine is powered on).  After the install of FC 18, power on of the machine gets a Grub boot menu of
FC 18.
Comment 1 Fedora End Of Life 2013-04-03 12:11:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 David Shea 2013-07-05 10:36:15 EDT
Installing grub2 to a partition is no longer a recommended configuration.

*** This bug has been marked as a duplicate of bug 872826 ***

Note You need to log in before you can comment on or make changes to this bug.